Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 97238 - wsdlui module should have public api to support 3rd party wsld extension modules
wsdlui module should have public api to support 3rd party wsld extension modules
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: WSDL Tools
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Shivanand Kini
issues@xml
plan60
: UMBRELLA
Depends on: 105429 105683
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-05 23:53 UTC by Srinivasan Chikkala
Modified: 2008-04-15 20:40 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Srinivasan Chikkala 2007-03-05 23:53:23 UTC
any module which like to plugin the wsdl enxtensions into the wsdl editor need
to implement the
org.netbeans.modules.xml.wsdl.ui.spi.ExtensibilityElementTemplateProvider SPI to
provide a wsdl template with the their default wsdl extensions.

Currently this spi can only be implemented by friends ( defining in the wsdlui
module build setup ) of the wsdlui. 

We should open all the necessary APIs/SPIs from the wsdlui as public to make
them available for any 3rd party module writer who want to plugin their own wsdl
extensions gui to the wsdl editor.
Comment 1 Shivanand Kini 2007-06-19 03:08:14 UTC
Remove 104110 from the list of dependencies.
Comment 2 Shivanand Kini 2007-06-19 03:09:11 UTC
The template providers SPI has been made public as per 105683.
Comment 3 jlautz 2008-04-15 15:51:08 UTC
How can I check that this SPI is indeed public?
Comment 4 Shivanand Kini 2008-04-15 18:48:32 UTC
From source code, you can open the xml.wsdl.bindingsupport.api module, and verify the Properties and see that its not
exposed to friends in API Versioning tab.

Other way (though I am not sure about this) is 
1. create a new netbeans module.
2. Go to Properties > Libraries. 
3. Click on Add dependency, (Show Non-API modules should not be checked)
4. Search for ExtensibilityElementTemplateProvider. (after a while, you should be able to see WSDL Binding Support API)
Comment 5 jlautz 2008-04-15 20:40:40 UTC
Verified fixed. 
Product Version: NetBeans IDE Dev (Build 200804100130) - Java CAPS Enabled
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: SunOS version 5.10 running on x86; ISO646-US; en (nb)
Userdir: /Users/lautz/sierrabuilds/EA3Candidate/.netbeans/caps


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo